diff options
Diffstat (limited to 'testsuite/md5sum.tests')
-rwxr-xr-x | testsuite/md5sum.tests | 14 |
1 files changed, 3 insertions, 11 deletions
diff --git a/testsuite/md5sum.tests b/testsuite/md5sum.tests index 5bbdb3b58..35ec67cb4 100755 --- a/testsuite/md5sum.tests +++ b/testsuite/md5sum.tests @@ -18,25 +18,17 @@ fi sum="$1" expected="$2" -mkdir testdir 2>/dev/null - -result=`( -cd testdir || { echo "cannot cd testdir!" >&2; exit 1; } - text="The quick brown fox jumps over the lazy dog" +text=`yes "$text" | head -c 9999` +result=`( n=0 while test $n -le 999; do - yes "$text" | head -c $n | "$sum" + echo "$text" | head -c $n | "$sum" : $((n++)) done | "$sum" - )` -rm -rf testdir - -FAILCOUNT=0 - if test x"$result" = x"$expected -"; then echo "PASS: $sum" exit 0 |